Skip to main content
GET
/
api
/
v1
/
purchase-orders
/
direct-cost
List Purchase Orders
curl --request GET \
  --url https://staging.cutmake.ai/api/v1/purchase-orders/direct-cost \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "supplierName": "<string>",
      "orderDate": "<string>",
      "total": "<string>",
      "currency": "<string>",
      "status": "<string>",
      "createdAt": "<string>",
      "createdBy": "<string>",
      "expectedDeliveryDate": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123,
    "hasNext": true,
    "hasPrev": true
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
limit
integer
default:10

Items per page

Required range: 1 <= x <= 100
status
string | null

Filter by status

supplierId
string | null

Filter by supplier ID

search
string | null

Search in document ID

sort
string
default:-created_at

Sort field with direction prefix

Response

Successful Response

Paginated response for Direct Cost PO list

data
DirectCostPOListItem · object[]
required
pagination
PaginationInfo · object
required

Pagination metadata following API standards.

Attributes: page: Current page number (1-indexed) limit: Items per page total: Total number of items matching query totalPages: Total number of pages hasNext: Whether there is a next page hasPrev: Whether there is a previous page